#!/bin/sh

for a in "$@" ; do 
	if [ -z $a ]; then
		echo BuildRequires: /usr/src/kernels/%{kernelverrel}-%{_target_cpu}
	else
		echo BuildRequires: /usr/src/kernels/%{kernelverrel}-$a-%{_target_cpu}
	fi
done

for a in $@ ; do cat <<EOF
%package $a 
Group: %{group}
Summary: %{summary}

EOF
done

for variant in "$@" ; do 
    
cat <<EOF
%description $variant
%{pkgdescription}

EOF
done
for variant in "$@" ; do
cat <<EOF
%files $variant -f files.list.$variant
%defattr(-,root,root,-)

EOF
done
